Bug 1019730 - Authentication timeout too short for WPA2 Enterprise [NEEDINFO]
Authentication timeout too short for WPA2 Enterprise
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 05:57 EDT by Alexander Dutton
Modified: 2015-02-17 12:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:42:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dcbw: needinfo? (bugzilla)


Attachments (Terms of Use)
/var/log/wpa_supplicant.log (4.10 KB, text/x-log)
2013-10-16 05:58 EDT, Alexander Dutton
no flags Details
/var/log/messages (4.16 KB, text/x-log)
2013-10-16 05:58 EDT, Alexander Dutton
no flags Details
dmesg output (2.26 KB, text/x-log)
2013-10-16 05:58 EDT, Alexander Dutton
no flags Details

  None (edit)
Description Alexander Dutton 2013-10-16 05:57:27 EDT
In one of our buildings (presumably closer to our authentication hardware), I can connect to our WPA2 wireless network quite happily, but in another I receive timeout messages almost every time I try to connect.

I've attached interesting bits from dmesg, /var/log/messages and /var/log/wpa_supplicant.log. I think the bit about not having secrets in messages is misleading; they're configured in the network settings, but a dialog keeps popping in asking for them (presumably it assumes that because it failed to connect the secrets are wrong, not that it timed out).

From dmesg, the timeout looks to be 0.2 seconds, at which point something gives up waiting and tries again. I suspect lengthening this might make things happier.

I'm able to connect quite happily from my Android 2.3.3 phone. Using the proprietary drivers (broadcom-wl) makes no difference.

Version numbers:

wpa_supplicant: 2.0-1.3.fc19
kernel: 3.10.10-200.fc19.x86_64

Details of wireless network:

WPA2
Tunnelled TLS
MSCHAPv2
A RADIUS server somewhere in the background
Comment 1 Alexander Dutton 2013-10-16 05:58:00 EDT
Created attachment 812846 [details]
/var/log/wpa_supplicant.log
Comment 2 Alexander Dutton 2013-10-16 05:58:27 EDT
Created attachment 812847 [details]
/var/log/messages
Comment 3 Alexander Dutton 2013-10-16 05:58:50 EDT
Created attachment 812848 [details]
dmesg output
Comment 4 Dan Williams 2013-10-16 11:39:36 EDT
We need to get more debug info from the supplicant.  Can you:

mv /usr/sbin/wpa_supplicant /
killall -TERM wpa_supplicant
/wpa_supplicant -dddtu
attempt to reconnect to the network and grab the logs.  Feel free to email them to me directly, or to review them and remove any personally identifying information.  They should not contain passwords, but they may contain usernames and other details.

When you're done:

mv /wpa_supplicant /usr/sbin/

gets you back to normal.
Comment 5 Dan Williams 2013-10-17 11:29:41 EDT
Thanks for the logs; it shows that two APs which the supplicant tries to connect to never complete association.  mac80211 makes three attempts of 200ms each to authenticate to the access point, which should only take 30ms in almost all cases.  I don't think the supplicant or kernel mac80211 authentication timeout is the issue here.

I believe this indicates either a kernel driver bug, an antenna problem on this laptop, or that you're too far away from the access point.

Are you able to borrow a USB WiFi stick and test that?  That can narrow down the problem to distance or kernel driver issues.  If the USB WiFi stick has the same timeout problem, then it's either a kernel mac80211 issue or a distance issue.

Do you have a Windows  install on this machine you can test with?  That would help eliminate distance and antenna issues.
Comment 6 Alexander Dutton 2013-10-17 12:09:44 EDT
Thanks. I've been tethering to my phone over USB quite happily, but I'll see if I can find a wifi dongle to test with.

I'll also flip over to OS X — it's a MacBook Air — and see how that copes.

It may be Tuesday before I'm back in the building where it has trouble.

Thanks again for your help!
Comment 7 Dan Williams 2014-04-04 13:59:59 EDT
Any status update on this bug?  Have updated kernel packages or wpa_supplicant packages helped?  Or can we close it?
Comment 8 Fedora End Of Life 2015-01-09 15:16:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 12:42:35 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.